.namesHistory {
  padding: 1rem 0;
  border-bottom: 6px solid #950740;

  &__trashButton,
  &__menuButton {
    font-size: 1rem;
    margin-left: 0.5rem;
    transform: translateY(-2px);
    transition: all 0.2s ease-in-out;
    padding: 0.25rem;

    :hover {
      transform: scale(1.1);
    }
  }

  &__trashIcon,
  &__menuIcon {
    transition: all 0.2s ease-in-out;
  }

  &__menuButton {
    display: none;
  }

  &__menuNames {
    display: flex;
    flex-direction: column;
  }

  &__names {
    max-height: 50vh;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    font-size: 0.9rem;
    overflow-x: hidden;
  }
  &__button {
    padding: 0.25rem 0;
    padding-left: 0.25rem;
    transition: all 0.2s ease-in-out;

    &:hover {
      transform: scale(1.1);
      transform-origin: left;
    }
  }
}

@media screen and (max-width: 768px) {
  .namesHistory {
    border: none;
    &__trashButton {
      display: none;
    }

    &__menuButton {
      display: inline-block;
    }

    &__names {
      display: none;
    }

    &__OffcanvasTitle &__trashButton {
      display: inline-block;
    }
  }
}

@media screen and (max-width: 400px) {
  .namesHistory {
    &__menuButton {
      display: inline-block;
    }
  }
}
